Skip to main content
POST
/
api
/
v1
/
simulateDeposit
curl --request POST \ --url https://skala-sandbox.ripio.com/api/v1/simulateDeposit/ \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data ' { "paymentMethodType": "bank_transfer", "amount": 2100, "alias_or_cvu": "1573308578877835214906" } '
{}

Documentation Index

Fetch the complete documentation index at: https://docs.ripio.com/llms.txt

Use this file to discover all available pages before exploring further.

The field you need to send alongside paymentMethodType and amount depends on the customer’s country. Use the value returned in fiatPaymentInstructions from the Create On-Ramp Session or Create On-Ramp Order response.

Authorizations

Authorization
string
header
required

Access token obtained via /oauth2/token/. Use as Authorization: Bearer <access_token>.

Body

application/json

Details for simulating the deposit.

paymentMethodType
string
required

The payment method type for the simulated deposit.

Example:

"bank_transfer"

amount
number
required

The amount of fiat to send.

Example:

2100

alias_or_cvu
string

Alias or CVU to which the deposit will be made (from onramp fiatPaymentInstructions). Used for ARS deposits.

Example:

"0100000000000000000001"

clabe
string

CLABE to which the deposit will be made (from onramp fiatPaymentInstructions). Used for MXN deposits.

Example:

"706180196550550550"

payment_url
string<uri>

Payment URL to identify the order (from onramp fiatPaymentInstructions). Used for COP deposits.

Example:

"https://example.com/payment/abc123"

Response

Deposit simulation successful. Returns 200 OK with empty body.

The response is of type object.